/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef STREAMMODEL_H
#define STREAMMODEL_H

#include <QObject>
#include "deelistmodel.h"

class StreamModel : public QObject
{
    Q_OBJECT
public:
    explicit StreamModel(QObject *parent = 0);
    DeeModel *getThreadStreamModel(const QString &id, DeeModel* model);
};

#endif // STREAMMODEL_H
